package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.EmailTemplatePageQuery;
import com.simuwang.base.pojo.vo.EmailTemplateVO;
import com.simuwang.base.pojo.vo.IdListVO;
import com.simuwang.base.pojo.vo.StatusVO;

public interface EmailTemplateService {
    MybatisPage<EmailTemplateVO> searchEmailTemplateList(EmailTemplatePageQuery emailTemplatePageQuery);

    EmailTemplateVO searchEmailTemplate(Integer id);

    void saveEmailTemplate(EmailTemplateVO emailTemplateVO);

    boolean checkEmailTemplateUnique(EmailTemplateVO emailTemplateVO);

    void controlEmailTemplateConfig(StatusVO statusVO);

    void deleteEmailTemplateList(IdListVO idListVO);
}
